Subject: Re: ftell fseek problem
From: [email-masked] (Earnie Boyd)

11 Sep 1998 02:57:44 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]
Cc: gw32 <[email-masked]>

Get rid of the \r in the line endings and open the file in binary
processing mode.  ftell will work the same as on unix this way.

---Miphon <[email-masked]> wrote:
>
> In using a mkindx kinda file it doesn't seem to grab the correct start
> spots so the out putfrom the text file is started in an incorrect spot
> (am I making any sense yet?).
> I'm not an acual programmer just someone who occasionally can do some
> debugging and a little compiling here and there and this problem is
> above me.  The mkindx file I am refering to comes with the PENNmush
mush
> package available at http://www.pennmush.org/.
> One of the programmers sent this to me if it helps.  I guess what I'm
> asking is there a way to get ftell (and fseek) to work correctly?
> 
> 
> 
> could this problem be because in Win32, we get the
> mkindx bigpos using ftell, but we store the entry's length
> (bigpos - pos)? According to my unix man page for ftell, on
> some non-Unix systems, the ftell return value can't really be
> used arithmetically like that because it's not measured in 
> bytes but in something else meaningful only to fseek.
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".